/**
 * DevExtreme (esm/renovation/ui/pager/common/pager_props.js)
 * Version: 21.2.0 (build 21230-1556)
 * Build date: Wed Aug 18 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    BasePagerProps
} from "./base_pager_props";
export var PagerProps = _extends({}, BasePagerProps, {
    defaultPageSize: 5,
    pageSizeChange: () => {},
    defaultPageIndex: 1,
    pageIndexChange: () => {}
});
export var InternalPagerProps = _extends({}, BasePagerProps, {
    pageSize: 5,
    pageIndex: 1
});
