/**
* DevExtreme (renovation/ui/scheduler/appointment/types.d.ts)
* Version: 21.2.0 (build 21230-1556)
* Build date: Wed Aug 18 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please describe your scenario in the following GitHub Issue, and we will suggest a public alternative: {@link https://github.com/DevExpress/DevExtreme/issues/17885|Internal Types}.
 */
export interface AppointmentViewModel {
  appointment: {
    startDate: Date;
    endDate: Date;
    text: string;
  };

  geometry: {
    empty: boolean; // TODO
    left: number;
    top: number;
    width: number;
    height: number;
    leftVirtualWidth: number;
    topVirtualHeight: number;
  };

  info: {
    appointment: {
      startDate: Date;
      endDate: Date;
    };
    sourceAppointment: {
      groupIndex: number;
    };
    dateText: string;
    resourceColor?: string;
  };
}
