/**
* DevExtreme (renovation/ui/scheduler/header/types.d.ts)
* Version: 21.2.0 (build 21230-1556)
* Build date: Wed Aug 18 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please describe your scenario in the following GitHub Issue, and we will suggest a public alternative: {@link https://github.com/DevExpress/DevExtreme/issues/17885|Internal Types}.
 */
export type DefaultElement = 'dateNavigator' | 'viewSwitcher';

/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please describe your scenario in the following GitHub Issue, and we will suggest a public alternative: {@link https://github.com/DevExpress/DevExtreme/issues/17885|Internal Types}.
 */
export type Direction = -1 | 1;

/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please describe your scenario in the following GitHub Issue, and we will suggest a public alternative: {@link https://github.com/DevExpress/DevExtreme/issues/17885|Internal Types}.
 */
export interface ItemOptions {
  useDropDownViewSwitcher: boolean;
  selectedView: string;
  views: ItemView[];
  setCurrentView: (view: ItemView) => void;
  showCalendar: () => void;
  captionText: string;
  updateDateByDirection: (direction: Direction) => void;
  isPreviousButtonDisabled: boolean;
  isNextButtonDisabled: boolean;
}

/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please describe your scenario in the following GitHub Issue, and we will suggest a public alternative: {@link https://github.com/DevExpress/DevExtreme/issues/17885|Internal Types}.
 */
export interface ItemView {
  text: string;
  name: string;
}
